libzypp: zypp::target::CommitPackageCache::Impl Class Reference

libzypp 17.25.10

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | Related Functions | List of all members
zypp::target::CommitPackageCache::Impl Class Reference

Base for CommitPackageCache implementations (implements no chache). More...

`#include <CommitPackageCacheImpl.h>`

Inheritance diagram for zypp::target::CommitPackageCache::Impl:
[legend]

## Public Types
typedef CommitPackageCache::PackageProvider | PackageProvider

## Public Member Functions
| Impl (const PackageProvider &packageProvider_r)
virtual | ~Impl ()
virtual ManagedFile | get (const PoolItem &citem_r)
| Provide the package. More...
void | setCommitList (std::vector< sat::Solvable > commitList_r)
const std::vector< sat::Solvable > & | commitList () const
bool | preloaded () const
void | preloaded (bool newval_r)

## Protected Member Functions
virtual ManagedFile | sourceProvidePackage (const PoolItem &pi) const
| Let the Source provide the package. More...
virtual ManagedFile | sourceProvideCachedPackage (const PoolItem &pi) const
| Let the Source provide an already cached package. More...

## Private Attributes
std::vector< sat::Solvable > | _commitList
PackageProvider | _packageProvider
DefaultIntegral< bool, false > | _preloaded

## Related Functions
(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &str, const CommitPackageCache::Impl &obj)
| Stream output. More...

## Detailed Description

Base for CommitPackageCache implementations (implements no chache).

All packages are directly retrieved from the source via the PackageProvider passed to the ctor. The PackageProvider is expected to throw or return an empty ManagedFile if the package can't be provided.

Definition at line 39 of file CommitPackageCacheImpl.h.

## Member Typedef Documentation

## ◆ PackageProvider

typedef CommitPackageCache::PackageProvider zypp::target::CommitPackageCache::Impl::PackageProvider

Definition at line 42 of file CommitPackageCacheImpl.h.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::target::CommitPackageCache::Impl::Impl | ( | const PackageProvider & | packageProvider_r | ) |
| inline

Definition at line 45 of file CommitPackageCacheImpl.h.

## ◆ ~Impl()

virtual zypp::target::CommitPackageCache::Impl::~Impl | ( |  | ) |
| inlinevirtual

Definition at line 49 of file CommitPackageCacheImpl.h.

## Member Function Documentation

## ◆ get()

virtual ManagedFile zypp::target::CommitPackageCache::Impl::get | ( | const PoolItem & | citem_r | ) |
| inlinevirtual

Provide the package.

Derived classes overload this.

Reimplemented in zypp::target::CommitPackageCacheReadAhead.

Definition at line 56 of file CommitPackageCacheImpl.h.

## ◆ setCommitList()

void zypp::target::CommitPackageCache::Impl::setCommitList | ( | std::vector< sat::Solvable > | commitList_r | ) |
| inline

Definition at line 61 of file CommitPackageCacheImpl.h.

## ◆ commitList()

const std::vector<sat::Solvable>& zypp::target::CommitPackageCache::Impl::commitList | ( |  | ) | const
| inline

Definition at line 64 of file CommitPackageCacheImpl.h.

## ◆ preloaded() [1/2]

bool zypp::target::CommitPackageCache::Impl::preloaded | ( |  | ) | const
| inline

Definition at line 67 of file CommitPackageCacheImpl.h.

## ◆ preloaded() [2/2]

void zypp::target::CommitPackageCache::Impl::preloaded | ( | bool | newval_r | ) |
| inline

Definition at line 70 of file CommitPackageCacheImpl.h.

## ◆ sourceProvidePackage()

virtual ManagedFile zypp::target::CommitPackageCache::Impl::sourceProvidePackage | ( | const PoolItem & | pi | ) | const
| inlineprotectedvirtual

Let the Source provide the package.

Definition at line 75 of file CommitPackageCacheImpl.h.

## ◆ sourceProvideCachedPackage()

virtual ManagedFile zypp::target::CommitPackageCache::Impl::sourceProvideCachedPackage | ( | const PoolItem & | pi | ) | const
| inlineprotectedvirtual

Let the Source provide an already cached package.

Definition at line 92 of file CommitPackageCacheImpl.h.

## Friends And Related Function Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const CommitPackageCache::Impl & | obj
| ) |  |
| related

Stream output.

Definition at line 110 of file CommitPackageCacheImpl.h.

## Member Data Documentation

## ◆ _commitList

std::vector<sat::Solvable> zypp::target::CommitPackageCache::Impl::_commitList
| private

Definition at line 103 of file CommitPackageCacheImpl.h.

## ◆ _packageProvider

PackageProvider zypp::target::CommitPackageCache::Impl::_packageProvider
| private

Definition at line 104 of file CommitPackageCacheImpl.h.

## ◆ _preloaded

DefaultIntegral<bool,false> zypp::target::CommitPackageCache::Impl::_preloaded
| private

Definition at line 105 of file CommitPackageCacheImpl.h.

The documentation for this class was generated from the following file:

- zypp/target/CommitPackageCacheImpl.h